#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.controllers.defaults import USERCSSMODERN, MOBILEDEVICE, isSettingEnabled, skinColor, themeMode, showPicons, showPiconBackground
from json import dumps

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.6'
__CHEETAH_versionTuple__ = (3, 2, 6, 'final', 0)
__CHEETAH_genTime__ = 1673579321.9235075
__CHEETAH_genTimestamp__ = 'Fri Jan 13 03:08:41 2023'
__CHEETAH_src__ = '/home/oe1/atv71mipsel/build-enviroment/builds/openatv/release/dm520/tmp/work/mips32el-oe-linux/enigma2-plugin-extensions-openwebif/gitAUTOINC+d5536a7ff7-r0/git/plugin/controllers/views/responsive/main.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Jan 13 03:08:19 2023'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class main(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(main, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
''')
        skinPrefOptions = [	{'value': 'black', 'label': 'Black'},	{'value': 'grey-darken-4', 'label': 'Dark Grey'},	{'value': 'blue-grey', 'label': 'Blue Grey'},	{'value': 'grey', 'label': 'Grey'},	{'value': 'red', 'label': 'Red'},	{'value': 'pink', 'label': 'Pink'},	{'value': 'purple', 'label': 'Purple'},	{'value': 'deep-purple', 'label': 'Deep Purple'},	{'value': 'indigo', 'label': 'Indigo'},	{'value': 'blue', 'label': 'Blue'},	{'value': 'light-blue', 'label': 'Light Blue'},	{'value': 'cyan', 'label': 'Cyan'},	{'value': 'teal', 'label': 'Teal'},	{'value': 'green', 'label': 'Green'},	{'value': 'light-green', 'label': 'Light Green'},	{'value': 'lime', 'label': 'Lime'},	{'value': 'yellow', 'label': 'Yellow'},	{'value': 'amber', 'label': 'Amber'},	{'value': 'orange', 'label': 'Orange'},	{'value': 'deep-orange', 'label': 'Deep Orange'},	{'value': 'brown', 'label': 'Brown'},	{'value': 'white', 'label': 'White'}]
        write('''
<!doctype html>
<html lang="''')
        _v = VFN(VFFSL(SL,"stbLang",True),"replace",False)('_', '-') # "$stbLang.replace('_', '-')" on line 31, col 13
        if _v is not None: write(_filter(_v, rawExpr="$stbLang.replace('_', '-')")) # from line 31, col 13.
        write('''">
<head>
\t<title>''')
        _v = VFFSL(SL,"boxname",True) # '$boxname' on line 33, col 9
        if _v is not None: write(_filter(_v, rawExpr='$boxname')) # from line 33, col 9.
        write(''' - OpenWebif</title>
\t<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
\t<meta charset="UTF-8">
\t<meta name="viewport" content="width=device-width, initial-scale=0.86, maximum-scale=3.0, minimum-scale=0.86"><!-- https://developer.mozilla.org/en-US/docs/Mozilla/Mobile/Viewport_meta_tag -->
\t<meta name="description" content="">
\t<meta name="author" content="">
''')
        if VFFSL(SL,"MOBILEDEVICE",True) == True: # generated from line 39, col 2
            write('''\t<meta name="apple-itunes-app" content="app-id=574507135">
''')
        write('''\t<link rel="shortcut icon" href="/images/favicon.png">
\t<link rel="stylesheet" type="text/css" href="/modern/css/roboto.min.css">
\t<link rel="stylesheet" type="text/css" href="/css/materialicons.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/bootstrap/css/bootstrap.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/node-waves/waves.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/animate-css/animate.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/bootstrap-select/css/bootstrap-select.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/sweetalert/sweetalert.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/plugins/choices/choices.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/css/style.min.css?v=wp">
\t<link rel="stylesheet" type="text/css" href="/modern/css/header.min.css?v=wp">
\t<link rel="stylesheet" type="text/css" href="/modern/css/themes/all-themes.min.css?v=wp">
\t<link rel="stylesheet" type="text/css" href="/modern/css/bootstrap-chosen.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/css/timepicker.min.css">
\t<link rel="stylesheet" type="text/css" href="/modern/css/responsive.min.css">
''')
        if VFFSL(SL,"USERCSSMODERN",True) != '': # generated from line 57, col 2
            write('''\t<link rel="stylesheet" type="text/css" href="''')
            _v = VFFSL(SL,"USERCSSMODERN",True) # '$USERCSSMODERN' on line 58, col 47
            if _v is not None: write(_filter(_v, rawExpr='$USERCSSMODERN')) # from line 58, col 47.
            write('''">
''')
        write('''
\t<style>
\t\t.page-loader-wrapper { background: rgba(156,156,156, 0.2); }
\t</style>

\t<script src="/js/jquery-2.2.4.min.js"></script>
\t<script src="/js/jquery-ui-1.13.2.min.js"></script>
\t<script src="/js/openwebif.min.js?v2.0.0"></script>
\t<script src="/js/chosen-1.8.7.jquery.min.js"></script>
\t<script>initJsTranslation(''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"tstrings",True)) # '$dumps($tstrings)' on line 69, col 28
        if _v is not None: write(_filter(_v, rawExpr='$dumps($tstrings)')) # from line 69, col 28.
        write(''')</script>
</head>

<body class="theme--''')
        _v = VFFSL(SL,"themeMode",True) # '$themeMode' on line 72, col 21
        if _v is not None: write(_filter(_v, rawExpr='$themeMode')) # from line 72, col 21.
        write(''' skin--''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 72, col 38
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 72, col 38.
        write('''" data-thememode="''')
        _v = VFFSL(SL,"themeMode",True) # '$themeMode' on line 72, col 66
        if _v is not None: write(_filter(_v, rawExpr='$themeMode')) # from line 72, col 66.
        write('''" data-skinpref="''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 72, col 93
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 72, col 93.
        write('''">
\t<!-- Overlay For Sidebars -->
\t<div class="overlay"></div>
\t<div class="search-bar search-bar-epg">
\t\t<div class="search-icon">
\t\t\t<div class="start-search">
\t\t\t\t<i class="material-icons">search</i>
\t\t\t</div>
\t\t</div>
\t\t<form action="#" method="get" onsubmit="window.location = \'/#epgdialog?\' + (new URLSearchParams(new FormData(this)).toString()); return false;">
\t\t\t<input type="text" name="sstr" id="epgsearchtext" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['start_typing'] # "$tstrings['start_typing']" on line 82, col 67
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['start_typing']")) # from line 82, col 67.
        write(''' ( ''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # "$tstrings['epgsearch']" on line 82, col 95
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearch']")) # from line 82, col 95.
        write(''' ) ...">
\t\t\t<input type="hidden" name="bouquetsonly" value="1">
\t\t</form>
\t\t<div class="close-search">
\t\t\t<span class="start-search">
\t\t\t\t<i class="material-icons">search</i>
\t\t\t</span>
\t\t\t<i class="material-icons">close</i>
\t\t</div>
\t</div>
\t<span id="topmenuheader">
\t\t<header class="navbar" ondblclick="owif.gui.fullscreen();">
\t\t\t<nav id="header__wrapper">
\t\t\t\t<div id="osd__title">
\t\t\t\t\t<button class="bars" id="leftsidebarin"></button>
\t\t\t\t\t<h1 id="header__title">
\t\t\t\t\t\t<a href="/">OpenWebif</a>
\t\t\t\t\t</h1>
\t\t\t\t\t<button style="display: none;" id="osd__connection" title="''')
        _v = VFFSL(SL,"tstrings",True)['no_network_connection'] # "$tstrings['no_network_connection']" on line 100, col 65
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['no_network_connection']")) # from line 100, col 65.
        write('''"><i class="icon material-icons">link_off</i></button>
\t\t\t\t</div>

\t\t\t\t<div id="osd__current">
\t\t\t\t\t<button id="osd__current-event" data-toggle="modal" data-target="#EventModal" title="''')
        _v = VFFSL(SL,"tstrings",True)['more_details'] # "$tstrings['more_details']" on line 104, col 91
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['more_details']")) # from line 104, col 91.
        write('''">
\t\t\t\t\t\t<span id="osd__current-event__name"></span>
\t\t\t\t\t\t<span id="osd__current-event__time">
\t\t\t\t\t\t\t<time datetime="" id="osd__current-event__time__start"></time>
\t\t\t\t\t\t\t&ndash;
\t\t\t\t\t\t\t<time datetime="" id="osd__current-event__time__end"></time>
\t\t\t\t\t\t</span>
\t\t\t\t\t</button>
\t\t\t\t\t<button id="osd__current-event__record" style="padding: 0 0.4ex;" onclick="owif.stb.instantRecord();" title="''')
        _v = VFFSL(SL,"tstrings",True)['start_instant_record'] # "$tstrings['start_instant_record']" on line 112, col 115
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['start_instant_record']")) # from line 112, col 115.
        write('''">
\t\t\t\t\t\t<i class="icon material-icons" style="font-size: 2.4ex; vertical-align: bottom; color: rgba(255,255,255,0.4);">radio_button_checked</i>
\t\t\t\t\t</button>
\t\t\t\t\t<a href="/#/tv" id="osd__current-service">
\t\t\t\t\t\t<span id="osd__current-service--text"></span>
\t\t\t\t\t\t<img src="" alt="" id="osd__current-service--picon"><!-- for future use -->
\t\t\t\t\t</a>
\t\t\t\t\t</a>
\t\t\t\t\t<button type="button" id="osd__current-event__epg" title="''')
        _v = VFFSL(SL,"tstrings",True)['show_epg_for'] # "$tstrings['show_epg_for']" on line 120, col 64
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_epg_for']")) # from line 120, col 64.
        write(''' channel" data-toggle="modal" data-target="#EPGModal"><i class="icon material-icons">event_note</i></button>
\t\t\t\t\t<a href="" target="_blank" class="dyn" id="osd__current-event__stream" title="''')
        _v = VFFSL(SL,"tstrings",True)['stream'] # "$tstrings['stream']" on line 121, col 84
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['stream']")) # from line 121, col 84.
        write(''' channel">
\t\t\t\t\t<!-- should probably use /web/streamcurrent.m3u?name= -->
\t\t\t\t\t\t<i class="icon material-icons">ondemand_video</i>
\t\t\t\t\t</a>
\t\t\t\t</div>

\t\t\t\t<button id="osd__active-recordings" style="display: none;" title="''')
        _v = VFFSL(SL,"tstrings",True)['currently_recording'] # "$tstrings['currently_recording']" on line 127, col 71
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['currently_recording']")) # from line 127, col 71.
        write('''" data-toggle="modal" data-target="#RecModal">
\t\t\t\t\t<span class="recording--active">''')
        _v = VFFSL(SL,"tstrings",True)['REC'] # "$tstrings['REC']" on line 128, col 38
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['REC']")) # from line 128, col 38.
        write('''</span>
\t\t\t\t\t<span class="label-count"></span>
\t\t\t\t</button>

\t\t\t\t<button id="osd__active-streams" title="''')
        _v = VFFSL(SL,"tstrings",True)['serving_stream'] # "$tstrings['serving_stream']" on line 132, col 45
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['serving_stream']")) # from line 132, col 45.
        write('''" data-toggle="modal" data-target="#StreamModal">
\t\t\t\t\t<i class="icon material-icons">cast</i>
\t\t\t\t\t<span class="label-count"></span>
\t\t\t\t</button>

\t\t\t\t<div id="osd__volume">
\t\t\t\t\t<button id="osd__current-mute-status" onclick="toggleMute();" title="''')
        _v = VFFSL(SL,"tstrings",True)['mute_unmute'] # "$tstrings['mute_unmute']" on line 138, col 75
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['mute_unmute']")) # from line 138, col 75.
        write(''' - Shortcut: x" accesskey="x">
\t\t\t\t\t\t<i class="icon material-icons">volume_off</i>
\t\t\t\t\t</button>
\t\t\t\t\t<!-- TODO: link step size with user prefs -->
\t\t\t\t\t<input type="range" min="0" max="100" value="30" step="5" id="volume-slider" oninput="setVolume(this.valueAsNumber);">
\t\t\t\t\t<output for="volume-slider" id="osd__current-volume"></output>
\t\t\t\t</div>

\t\t\t\t<div id="header_actions">
\t\t\t\t\t<a href="#/screenshot" id="header_action--screenshot" title="''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # "$tstrings['grabscreenshot']" on line 147, col 67
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['grabscreenshot']")) # from line 147, col 67.
        write(''' - Shortcut: s" accesskey="s">
\t\t\t\t\t\t<i class="icon material-icons">photo_camera</i>
\t\t\t\t\t</a>

\t\t\t\t\t<button id="header_action--send-message" data-toggle="modal" data-target="#SendMessageModal" title="''')
        _v = VFFSL(SL,"tstrings",True)['sendamessage'] # "$tstrings['sendamessage']" on line 151, col 106
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['sendamessage']")) # from line 151, col 106.
        write(''' - Shortcut: n" accesskey="n">
\t\t\t\t\t\t<i class="icon material-icons">message</i>
\t\t\t\t\t</button>

\t\t\t\t\t<button class="js-search-epg" data-close="true" title="''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # "$tstrings['epgsearch']" on line 155, col 61
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearch']")) # from line 155, col 61.
        write(''' - Shortcut: f" accesskey="f">
\t\t\t\t\t\t<i class="icon material-icons">search</i>
\t\t\t\t\t</button>
\t\t\t\t\t<button onclick="toggleStandby(event.shiftKey);" class="btn--power-toggle" title="''')
        _v = VFFSL(SL,"tstrings",True)['standby_toggle'] # "$tstrings['standby_toggle']" on line 158, col 88
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['standby_toggle']")) # from line 158, col 88.
        write(''' - Shortcut: 0" accesskey="0">
\t\t\t\t\t\t<i class="icon material-icons">power_settings_new</i>
\t\t\t\t\t</button>

\t\t\t\t\t<button data-toggle="modal" data-target="#PowerModal" title="''')
        _v = VFFSL(SL,"tstrings",True)['powercontrol'] # "$tstrings['powercontrol']" on line 162, col 67
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['powercontrol']")) # from line 162, col 67.
        write(''' - Shortcut: p" accesskey="p">
\t\t\t\t\t\t<i class="icon material-icons">settings_power</i>
\t\t\t\t\t</button>

\t\t\t\t\t<button class="js-right-sidebar" data-close="true" title="''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # "$tstrings['settings']" on line 166, col 64
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['settings']")) # from line 166, col 64.
        write('''">
\t\t\t\t\t\t<i class="icon material-icons">settings</i>
\t\t\t\t\t</button>
\t\t\t\t</div>

\t\t\t</nav>
\t\t</header>
\t\t<!-- #Top Bar -->
\t\t<section>
\t\t\t<!-- Left Sidebar -->
\t\t\t<aside id="leftsidebar" class="sidebar">
\t\t\t\t<!-- Menu -->
\t\t\t\t<div class="menu" id="leftsidemenu">
\t\t\t\t\t<ul class="list leftnav">
''')
        if not VFFSL(SL,"showname",True): # generated from line 180, col 7
            boxname = VFFSL(SL,"tstrings",True)['box_info']
        write('''\t\t\t\t\t\t<li class="header" id="leftsidemenuheader">''')
        _v = VFFSL(SL,"boxname",True) # '$boxname' on line 183, col 50
        if _v is not None: write(_filter(_v, rawExpr='$boxname')) # from line 183, col 50.
        write('''</li>
\t\t\t\t\t\t<li class="active" style="display:none;"></li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#screenshot" class="menu-toggle">
\t\t\t\t\t\t\t\t<i class="material-icons">dialpad</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['remote'] # "$tstrings['remote']" on line 188, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['remote']")) # from line 188, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t\t<ul class="ml-menu noselect">
''')
        remotecollapse = ""
        write('''\t\t\t\t\t\t\t\t\t<!--
''')
        if VFFSL(SL,"isSettingEnabled",False)('rcu_full_view') != 'checked': # generated from line 193, col 10
            write('''\t\t\t\t\t\t\t\t\t-->
\t\t\t\t\t\t\t\t\t<li style="margin-top:0px;">
\t\t\t\t\t\t\t\t\t\t <span data-toggle="collapse" data-target=".remote__groupfull" aria-expanded="true" aria-controls="rcunumbers rcuplayerkeys" style="cursor:pointer;" title="Show all buttons"><i class="material-icons material-icons-centered">fullscreen</i></span>
\t\t\t\t\t\t\t\t\t</li>
''')
            remotecollapse = " collapse"
            write('''\t\t\t\t\t\t\t\t\t<li class="align-center" style="margin-top:-30px;">
\t\t\t\t\t\t\t\t\t\t<span data-toggle="collapse" data-target="#rcunumbers" aria-expanded="false" aria-controls="collapseExample" style="cursor:pointer;" title="Show more buttons"><i class="material-icons material-icons-centered">arrow_drop_up</i></span>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t\t<!--
''')
        write('''\t\t\t\t\t\t\t\t\t-->
\t\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t\t<section class="remote__groupfull remote__group remote__group--numerical''')
        _v = VFFSL(SL,"remotecollapse",True) # '$remotecollapse' on line 206, col 83
        if _v is not None: write(_filter(_v, rawExpr='$remotecollapse')) # from line 206, col 83.
        write('''" id="rcunumbers">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="2" title="1" class="remote__button icon"><i class="material-icons">filter_1</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="3" title="2" class="remote__button icon"><i class="material-icons">filter_2</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="4" title="3" class="remote__button icon"><i class="material-icons">filter_3</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="5" title="4" class="remote__button icon"><i class="material-icons">filter_4</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="6" title="5" class="remote__button icon"><i class="material-icons">filter_5</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="7" title="6" class="remote__button icon"><i class="material-icons">filter_6</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="8" title="7" class="remote__button icon"><i class="material-icons">filter_7</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="9" title="8" class="remote__button icon"><i class="material-icons">filter_8</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="10" title="9" class="remote__button icon"><i class="material-icons">filter_9</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="412" title="&lt;" class="remote__button icon"><i class="material-icons">navigate_before</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="11" title="0" class="remote__button icon"><i class="material-icons">exposure_zero</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="407" title="&gt;" class="remote__button icon"><i class="material-icons">navigate_next</i></button>
\t\t\t\t\t\t\t\t\t\t</section>
\t\t\t\t\t\t\t\t\t\t<section class="remote__group">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="1000" title="Mute" class="remote__button icon"><i class="material-icons">volume_off</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="114" title="Vol-" class="remote__button icon"><i class="material-icons">volume_down</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="115" title="Vol+" class="remote__button icon"><i class="material-icons">volume_up</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="1001" title="Power" class="remote__button remote__button--power icon"><i class="material-icons">power_settings_new</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="377" title="TV" class="remote__button icon"><i class="material-icons">tv</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="385" title="Radio" class="remote__button icon"><i class="material-icons">radio</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="393" title="List" class="remote__button icon"><i class="material-icons">movie</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="102" title="Home" class="remote__button icon"><i class="material-icons">home</i></button>
\t\t\t\t\t\t\t\t\t\t</section>
\t\t\t\t\t\t\t\t\t\t<section class="remote__group remote__group--directional">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="139" title="Menu" class="remote__button icon"><i class="material-icons">menu</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="103" title="Up" class="remote__button icon remote__button--arrow"><i class="material-icons">keyboard_arrow_up</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="358" title="Info" class="remote__button icon"><i class="material-icons">info_outline</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="105" title="Left" class="remote__button icon remote__button--arrow"><i class="material-icons">keyboard_arrow_left</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="352" title="OK" class="remote__button icon remote__button--arrow"><i class="material-icons">thumb_up_alt</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="106" title="Right" class="remote__button icon remote__button--arrow"><i class="material-icons">keyboard_arrow_right</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="158" title="Back" class="remote__button icon"><i class="material-icons">keyboard_return</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="108" title="Down" class="remote__button icon remote__button--arrow"><i class="material-icons">keyboard_arrow_down</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="174" title="Exit" class="remote__button icon"><i class="material-icons">clear</i></button>
\t\t\t\t\t\t\t\t\t\t</section>
\t\t\t\t\t\t\t\t\t\t<section class="remote__group">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="365" title="EPG" class="remote__button icon"><i class="material-icons">event_note</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="627" title="VOD" class="remote__button icon"><i class="material-icons">ondemand_video</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="403" title="CH-" class="remote__button icon"><i class="material-icons">remove</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="402" title="CH+" class="remote__button icon"><i class="material-icons">add</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="398" title="Red" class="remote__button icon remote__button--colour"><i class="material-icons" style="color: #F44336;">call_to_action</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="399" title="Green" class="remote__button icon remote__button--colour"><i class="material-icons" style="color: #4CAF50;">call_to_action</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="400" title="Yellow" class="remote__button icon remote__button--colour"><i class="material-icons" style="color: #ffe821;">call_to_action</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="401" title="Blue" class="remote__button icon remote__button--colour"><i class="material-icons" style="color: #2196F3;">call_to_action</i></button>
\t\t\t\t\t\t\t\t\t\t</section>
\t\t\t\t\t\t\t\t\t\t<section class="remote__groupfull remote__group''')
        _v = VFFSL(SL,"remotecollapse",True) # '$remotecollapse' on line 251, col 58
        if _v is not None: write(_filter(_v, rawExpr='$remotecollapse')) # from line 251, col 58.
        write('''" id="rcuplayerkeys">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="168" title="FastRewind" class="remote__button icon"><i class="material-icons">fast_rewind</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="207" title="Play" class="remote__button icon"><i class="material-icons">play_arrow</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="119" title="Pause" class="remote__button icon"><i class="material-icons">pause</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="208" title="FastForward" class="remote__button icon"><i class="material-icons">fast_forward</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="370" title="Subtitle" class="remote__button icon"><i class="material-icons">subtitles</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="167" title="Record" class="remote__button icon"><i class="material-icons" style="color: #F44336;">fiber_manual_record</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="128" title="Stop" class="remote__button icon"><i class="material-icons">stop</i></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="button" data-code="392" title="Audio" class="remote__button icon"><i class="material-icons">audiotrack</i></button>
\t\t\t\t\t\t\t\t\t\t</section>
\t\t\t\t\t\t\t\t\t</li>
''')
        if VFFSL(SL,"textinputsupport",True) == True: # generated from line 262, col 10
            write('''\t\t\t\t\t\t\t\t\t<li class="align-center">
\t\t\t\t\t\t\t\t\t\t<!-- TODO: don\'t reset input if send fails -->
\t\t\t\t\t\t\t\t\t\t<form onsubmit="var el = this.elements[\'keyboardText\']; owif.api.sendKeyboardText(el.value); el.value = \'\'; return false;" style="display:flex; max-width:150px; margin:1em auto 0;">
\t\t\t\t\t\t\t\t\t\t\t<input type="text" name="keyboardText" value="" placeholder="''')
            _v = VFFSL(SL,"tstrings",True)['enter_text'] # "$tstrings['enter_text']" on line 266, col 73
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['enter_text']")) # from line 266, col 73.
            write('''">
\t\t\t\t\t\t\t\t\t\t\t<input type="submit" value="''')
            _v = VFFSL(SL,"tstrings",True)['send'] # "$tstrings['send']" on line 267, col 40
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['send']")) # from line 267, col 40.
            write('''" style="margin-left:1ex;">
\t\t\t\t\t\t\t\t\t\t</form>
\t\t\t\t\t\t\t\t\t</li>
''')
        write('''\t\t\t\t\t\t\t\t\t<!--
''')
        if VFFSL(SL,"isSettingEnabled",False)('rcu_full_view') != 'checked': # generated from line 272, col 10
            write('''\t\t\t\t\t\t\t\t\t-->
\t\t\t\t\t\t\t\t\t<li class="align-center">
\t\t\t\t\t\t\t\t\t\t<span data-toggle="collapse" data-target="#rcuplayerkeys" aria-expanded="false" aria-controls="collapseExample" style="cursor:pointer;" title="Show more buttons"><i class="material-icons material-icons-centered">arrow_drop_down</i></span>
\t\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t\t<!--
''')
        write('''\t\t\t\t\t\t\t\t\t-->
\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<table style="margin: 0 auto;">
\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t<td colspan="2">
\t\t\t\t\t\t\t\t\t\t\t\t<h6>''')
        _v = VFFSL(SL,"tstrings",True)['shiftforlong'] # "$tstrings['shiftforlong']" on line 285, col 17
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['shiftforlong']")) # from line 285, col 17.
        write('''</h6>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t<td><!-- TODO: i10n -->
\t\t\t\t\t\t\t\t\t\t\t\t<span style="cursor:pointer;" title="Enable/Disable Screenshot on key press or ''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # "$tstrings['grabscreenshot']" on line 290, col 92
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['grabscreenshot']")) # from line 290, col 92.
        write('''" onclick="load_maincontent(\'ajax/screenshot\');return false;">''')
        _v = VFFSL(SL,"tstrings",True)['grabscreenshot'] # "$tstrings['grabscreenshot']" on line 290, col 181
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['grabscreenshot']")) # from line 290, col 181.
        write('''</span>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t\t<td>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t\t\t\t<span class="m-r-10 font-12"></span>
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="remotegrabscreen1" id="remotegrabscreen1" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('rcu_screenshot') # "$isSettingEnabled('rcu_screenshot')" on line 296, col 86
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('rcu_screenshot')")) # from line 296, col 86.
        write(''' class="remotegrabscreen">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t\t\t<td colspan="2">
\t\t\t\t\t\t\t\t\t\t\t\t<p></p>
\t\t\t\t\t\t\t\t\t\t\t</td>
\t\t\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#tv" data-close="true" accesskey="v" title="Shortcut: v">
\t\t\t\t\t\t\t\t<i class="material-icons">tv</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['television'] # "$tstrings['television']" on line 314, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['television']")) # from line 314, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#radio" data-close="true" accesskey="r" title="Shortcut: r">
\t\t\t\t\t\t\t\t<i class="material-icons">radio</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['radio'] # "$tstrings['radio']" on line 320, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['radio']")) # from line 320, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#myepg?epgmode=tv" data-close="true" accesskey="e" title="Shortcut: e">
\t\t\t\t\t\t\t\t<i class="icon material-icons">event_note</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epg'] # "$tstrings['epg']" on line 326, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epg']")) # from line 326, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#movies" data-close="true" accesskey="m" title="Shortcut: m">
\t\t\t\t\t\t\t\t<i class="material-icons">movie</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['movies'] # "$tstrings['movies']" on line 332, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['movies']")) # from line 332, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#timers" data-close="true" accesskey="t" title="Shortcut: t">
\t\t\t\t\t\t\t\t<i class="material-icons">alarm</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['timers'] # "$tstrings['timers']" on line 338, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['timers']")) # from line 338, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
''')
        for extra in VFFSL(SL,"extras",True): # generated from line 341, col 7
            if VFFSL(SL,"extra",True)["key"] in ("ajax/at",): # generated from line 342, col 8
                write('''\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<a href="#at" data-close="true" accesskey="a" title="Shortcut: a">
\t\t\t\t\t\t\t\t\t\t<i class="material-icons">av_timer</i>
\t\t\t\t\t\t\t\t\t\t<span>''')
                _v = VFFSL(SL,"extra",True)["description"] # '$extra["description"]' on line 346, col 17
                if _v is not None: write(_filter(_v, rawExpr='$extra["description"]')) # from line 346, col 17.
                write('''</span>
\t\t\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t\t\t</li>
''')
        write('''\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#settings" data-close="true" accesskey="c" title="Shortcut: c">
\t\t\t\t\t\t\t\t<i class="material-icons">settings</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['settings'] # "$tstrings['settings']" on line 354, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['settings']")) # from line 354, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#bqe" data-close="true" accesskey="b" title="Shortcut: b">
\t\t\t\t\t\t\t\t<i class="material-icons">view_list</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['Bouquet_Editor'] # "$tstrings['Bouquet_Editor']" on line 360, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['Bouquet_Editor']")) # from line 360, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="#satfinder" data-close="true" accesskey="o" title="Shortcut: o">
\t\t\t\t\t\t\t\t<i class="material-icons">wifi</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['satfinder'] # "$tstrings['satfinder']" on line 366, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['satfinder']")) # from line 366, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="javascript:void(0);" class="menu-toggle">
                                <i class="material-icons">info</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['information'] # "$tstrings['information']" on line 372, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['information']")) # from line 372, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
                            <ul class="ml-menu">
\t\t\t\t\t\t\t\t<li><a href="#current">''')
        _v = VFFSL(SL,"tstrings",True)['channel'] # "$tstrings['channel']" on line 375, col 32
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['channel']")) # from line 375, col 32.
        write('''</a></li>
                                <li>
                                    <a href="#boxinfo" data-close="true" accesskey="i" title="Shortcut: i">''')
        _v = VFFSL(SL,"tstrings",True)['receiver'] # "$tstrings['receiver']" on line 377, col 108
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['receiver']")) # from line 377, col 108.
        write('''</a>
                                </li>
\t\t\t\t\t\t\t\t<li><a href="#about">OpenWebif</a></li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t</li>
\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t<a href="javascript:void(0);" class="menu-toggle">
\t\t\t\t\t\t\t\t<i class="material-icons">widgets</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['extras'] # "$tstrings['extras']" on line 385, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['extras']")) # from line 385, col 15.
        write('''</span>
\t\t\t\t\t\t\t</a>
\t\t\t\t\t\t\t<ul class="ml-menu">
''')
        for extra in VFFSL(SL,"extras",True): # generated from line 388, col 8
            target_url = VFFSL(SL,"extra",True)["key"];
            if VFFSL(SL,"target_url",True) not in ('ajax/at','ajax/bqe','ajax/settings'): # generated from line 390, col 9
                if 'nw' in VFFSL(SL,"extra",True): # generated from line 391, col 10
                    if VFFSL(SL,"extra",True)["nw"] == "1": # generated from line 392, col 11
                        write('''\t\t\t\t\t\t\t\t\t\t<li><a href="''')
                        _v = VFFSL(SL,"target_url",True) # '$target_url' on line 393, col 24
                        if _v is not None: write(_filter(_v, rawExpr='$target_url')) # from line 393, col 24.
                        write('''" target=\'_blank\'>''')
                        _v = VFFSL(SL,"extra",True)["description"] # '$extra["description"]' on line 393, col 53
                        if _v is not None: write(_filter(_v, rawExpr='$extra["description"]')) # from line 393, col 53.
                        write('''</a></li>
''')
                    else: # generated from line 394, col 11
                        write('''\t\t\t\t\t\t\t\t\t\t<li><a href="''')
                        _v = VFFSL(SL,"target_url",True) # '$target_url' on line 395, col 24
                        if _v is not None: write(_filter(_v, rawExpr='$target_url')) # from line 395, col 24.
                        write('''" class="lmc pop">''')
                        _v = VFFSL(SL,"extra",True)["description"] # '$extra["description"]' on line 395, col 53
                        if _v is not None: write(_filter(_v, rawExpr='$extra["description"]')) # from line 395, col 53.
                        write('''</a></li>
''')
                else: # generated from line 397, col 10
                    write('''\t\t\t\t\t\t\t\t\t\t<li><a href=\'javascript:void(0);\' data-close="true" onclick="load_maincontent(\'''')
                    _v = VFFSL(SL,"target_url",True) # '$target_url' on line 398, col 90
                    if _v is not None: write(_filter(_v, rawExpr='$target_url')) # from line 398, col 90.
                    write('''\'); return false;" >''')
                    _v = VFFSL(SL,"extra",True)["description"] # '$extra["description"]' on line 398, col 121
                    if _v is not None: write(_filter(_v, rawExpr='$extra["description"]')) # from line 398, col 121.
                    write('''</a></li>
''')
        if VFFSL(SL,"webtv",True): # generated from line 402, col 8
            write('''\t\t\t\t\t\t\t\t<li><a href="#webtv" data-close="true" accesskey="w" title="Shortcut: w">''')
            _v = VFFSL(SL,"tstrings",True)['webtv'] # "$tstrings['webtv']" on line 403, col 82
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['webtv']")) # from line 403, col 82.
            write('''</a></li>
''')
        write('''\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t</li>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t\t<!-- #Menu -->
\t\t\t</aside>
\t\t\t<!-- #END# Left Sidebar -->
\t\t\t<aside id="rightsidebar" class="right-sidebar">
\t\t\t\t<ul class="nav nav-tabs tab-nav-right tab--skinned" role="tablist">
\t\t\t\t\t<li role="presentation" class="active">
\t\t\t\t\t\t<a href="#settings" data-toggle="tab">''')
        _v = VFFSL(SL,"tstrings",True)['config'] # "$tstrings['config']" on line 415, col 45
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['config']")) # from line 415, col 45.
        write('''</a>
\t\t\t\t\t</li>
\t\t\t\t\t<li role="presentation">
\t\t\t\t\t\t<a href="#skins" data-toggle="tab">''')
        _v = VFFSL(SL,"tstrings",True)['skins'] # "$tstrings['skins']" on line 418, col 42
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['skins']")) # from line 418, col 42.
        write('''</a>
\t\t\t\t\t</li>
\t\t\t\t</ul>
\t\t\t\t<div class="tab-content" style="overflow-y: auto;position: relative;height: 90vh;">
\t\t\t\t\t<div role="tabpanel" class="tab-pane fade in active in active" id="settings">
\t\t\t\t\t\t<div class="demo-settings">
\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearch'] # "$tstrings['epgsearch']" on line 424, col 11
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearch']")) # from line 424, col 11.
        write('''</p>
\t\t\t\t\t\t\t<ul class="setting-list">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearchextended'] # "$tstrings['epgsearchextended']" on line 427, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearchextended']")) # from line 427, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="myepgbtn0" id="myepgbtn0" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('epgsearch_full') # "$isSettingEnabled('epgsearch_full')" on line 430, col 67
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('epgsearch_full')")) # from line 430, col 67.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['epgsearchbouquetsonly'] # "$tstrings['epgsearchbouquetsonly']" on line 436, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epgsearchbouquetsonly']")) # from line 436, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="myepgbtn1" id="myepgbtn1" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('epgsearch_only_bq') # "$isSettingEnabled('epgsearch_only_bq')" on line 439, col 67
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('epgsearch_only_bq')")) # from line 439, col 67.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['common_settings'] # "$tstrings['common_settings']" on line 445, col 11
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['common_settings']")) # from line 445, col 11.
        write('''</p>
\t\t\t\t\t\t\t<ul class="setting-list">
\t\t\t\t\t\t\t\t<!--
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['showfullremoteshort'] # "$tstrings['showfullremoteshort']" on line 449, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['showfullremoteshort']")) # from line 449, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="remotecontrolview" id="remotecontrolview" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('rcu_full_view') # "$isSettingEnabled('rcu_full_view')" on line 452, col 83
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('rcu_full_view')")) # from line 452, col 83.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t-->
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_movie_list'] # "$tstrings['min_movie_list']" on line 459, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['min_movie_list']")) # from line 459, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="minmovielist" id="minmovielist" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('minmovielist') # "$isSettingEnabled('minmovielist')" on line 462, col 73
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('minmovielist')")) # from line 462, col 73.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_timer_list'] # "$tstrings['min_timer_list']" on line 468, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['min_timer_list']")) # from line 468, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="mintimerlist" id="mintimerlist" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('mintimerlist') # "$isSettingEnabled('mintimerlist')" on line 471, col 73
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('mintimerlist')")) # from line 471, col 73.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['min_epg_list'] # "$tstrings['min_epg_list']" on line 477, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['min_epg_list']")) # from line 477, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="minepglist" id="minepglist" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('minepglist') # "$isSettingEnabled('minepglist')" on line 480, col 69
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('minepglist')")) # from line 480, col 69.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['now_next_columns'] # "$tstrings['now_next_columns']" on line 486, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['now_next_columns']")) # from line 486, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="nownext_columns" id="nownext_columns" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('nownext_columns') # "$isSettingEnabled('nownext_columns')" on line 489, col 79
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('nownext_columns')")) # from line 489, col 79.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>XSPF ''')
        _v = VFFSL(SL,"tstrings",True)['playlistformat'] # "$tstrings['playlistformat']" on line 495, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['playlistformat']")) # from line 495, col 21.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="plformat" id="plformat">
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['zapbeforestream'] # "$tstrings['zapbeforestream']" on line 504, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['zapbeforestream']")) # from line 504, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="zapstream" id="zapstream" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('zapstream') # "$isSettingEnabled('zapstream')" on line 507, col 67
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('zapstream')")) # from line 507, col 67.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['show_iptv_channels_in_selection'] # "$tstrings['show_iptv_channels_in_selection']" on line 513, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_iptv_channels_in_selection']")) # from line 513, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="showiptvchannelsinselection" id="showiptvchannelsinselection" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('showiptvchannelsinselection') # "$isSettingEnabled('showiptvchannelsinselection')" on line 516, col 103
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('showiptvchannelsinselection')")) # from line 516, col 103.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['use_channel_name_for_screenshots'] # "$tstrings['use_channel_name_for_screenshots']" on line 522, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['use_channel_name_for_screenshots']")) # from line 522, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="screenshotchannelname" id="screenshotchannelname" ''')
        _v = VFFSL(SL,"isSettingEnabled",False)('screenshotchannelname') # "$isSettingEnabled('screenshotchannelname')" on line 525, col 91
        if _v is not None: write(_filter(_v, rawExpr="$isSettingEnabled('screenshotchannelname')")) # from line 525, col 91.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['use_classic_design'] # "$tstrings['use_classic_design']" on line 531, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['use_classic_design']")) # from line 531, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="noresposive" id="noresposive">
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>

\t\t\t\t\t\t\t<p>''')
        _v = VFFSL(SL,"tstrings",True)['channels'] # "$tstrings['channels']" on line 541, col 11
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['channels']")) # from line 541, col 11.
        write('''</p>
\t\t\t\t\t\t\t<ul class="setting-list">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['show_picons'] # "$tstrings['show_picons']" on line 544, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_picons']")) # from line 544, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="showpicons" id="showpicons" ''')
        _v = VFFSL(SL,"showPicons",True) # '$showPicons' on line 547, col 69
        if _v is not None: write(_filter(_v, rawExpr='$showPicons')) # from line 547, col 69.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['show_picon_background'] # "$tstrings['show_picon_background']" on line 553, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_picon_background']")) # from line 553, col 16.
        write('''</span>
\t\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="showpiconbackground" id="showpiconbackground" ''')
        _v = VFFSL(SL,"showPiconBackground",True) # '$showPiconBackground' on line 556, col 87
        if _v is not None: write(_filter(_v, rawExpr='$showPiconBackground')) # from line 556, col 87.
        write('''>
\t\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ul>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div role="tabpanel" class="tab-pane fade" id="skins">
\t\t\t\t\t\t<ul class="setting-list" style="margin-bottom: 0;">
\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['gui_theme_mode'] # "$tstrings['gui_theme_mode']" on line 567, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['gui_theme_mode']")) # from line 567, col 15.
        write(''' - City Lights</span>
\t\t\t\t\t\t\t\t<div class="switch">
\t\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="themeMode" id="thememodebtn" value="city-lights" checked="''')
        _v = VFFSL(SL,"themeMode",True) != 'supabright' # "$(themeMode != 'supabright')" on line 570, col 98
        if _v is not None: write(_filter(_v, rawExpr="$(themeMode != 'supabright')")) # from line 570, col 98.
        write('''">
\t\t\t\t\t\t\t\t\t\t<span class="lever switch--skinned"></span>
\t\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t</ul>
\t\t\t\t\t\t<ul class="skin-switcher">
''')
        for skinPrefOption in VFFSL(SL,"skinPrefOptions",True): # generated from line 577, col 1
            isChecked = ''
            if VFFSL(SL,"skinPrefOption",True)['value'] == VFFSL(SL,"skinColor",True): # generated from line 579, col 2
                isChecked = 'checked'
            write('''\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t\t\t<input type="radio" name="skinpref" value="''')
            _v = VFFSL(SL,"skinPrefOption",True)['value'] # "$skinPrefOption['value']" on line 584, col 53
            if _v is not None: write(_filter(_v, rawExpr="$skinPrefOption['value']")) # from line 584, col 53.
            write('''" ''')
            _v = VFFSL(SL,"isChecked",True) # '$isChecked' on line 584, col 79
            if _v is not None: write(_filter(_v, rawExpr='$isChecked')) # from line 584, col 79.
            write('''>
\t\t\t\t\t\t\t\t\t<span class="color-swatch swatch--''')
            _v = VFFSL(SL,"skinPrefOption",True)['value'] # "$skinPrefOption['value']" on line 585, col 44
            if _v is not None: write(_filter(_v, rawExpr="$skinPrefOption['value']")) # from line 585, col 44.
            write('''"></span>
\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"skinPrefOption",True)['label'] # "$skinPrefOption['label']" on line 586, col 10
            if _v is not None: write(_filter(_v, rawExpr="$skinPrefOption['label']")) # from line 586, col 10.
            write('''
\t\t\t\t\t\t\t\t</label>
\t\t\t\t\t\t\t</li>
''')
        write('''\t\t\t\t\t\t</ul>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</aside>
\t\t\t<!-- #END# Right Sidebar -->
\t\t</section>
\t</span>

<section class="content" id="fullmaincontent">
\t\t<div class="container-fluid">
\t\t\t<div class="row clearfix">
\t\t\t\t<div id="content_container" style="position: relative; min-height: 90vh">''')
        _v = VFFSL(SL,"content",True) # '$content' on line 601, col 78
        if _v is not None: write(_filter(_v, rawExpr='$content')) # from line 601, col 78.
        write('''</div>
\t\t\t</div>
\t\t\t<span id="mainfooter">
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t\t\t\t\t\t<div class="card">
\t\t\t\t\t\t\t<div class="body text-center">
\t\t\t\t\t\t\t\t<div id="footer">
\t\t\t\t\t\t\t\t\t<a href="https://github.com/E2OpenPlugins" target="_blank" class="link--skinned" rel="noreferrer noopener">E2OpenPlugins</a> |
\t\t\t\t\t\t\t\t\t<a href="https://www.opena.tv" target="_blank" class="link--skinned" rel="noreferrer noopener">openATV</a> |
\t\t\t\t\t\t\t\t\t<a href="https://www.openbh.net" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenBh</a> |
\t\t\t\t\t\t\t\t\t<a href="http://www.droidsat.org" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenDroid</a> |
\t\t\t\t\t\t\t\t\t<a href="https://www.egami-image.com" target="_blank" class="link--skinned" rel="noreferrer noopener">EGAMI</a> |
\t\t\t\t\t\t\t\t\t<a href="https://www.hdfreaks.cc" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenHDF</a> |
\t\t\t\t\t\t\t\t\t<a href="https://images.teamblue.tech" target="_blank" class="link--skinned" rel="noreferrer noopener">teamBlue</a> |
\t\t\t\t\t\t\t\t\t<a href="https://openpli.org" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenPli</a> |
\t\t\t\t\t\t\t\t\t<a href="https://blackhole-community.com" target="_blank" class="link--skinned" rel="noreferrer noopener">Black Hole</a> |
\t\t\t\t\t\t\t\t\t<a href="https://openspa.info" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenSpa</a> |
\t\t\t\t\t\t\t\t\t<a href="https://www.openvix.co.uk" target="_blank" class="link--skinned" rel="noreferrer noopener">OpenViX</a> |
\t\t\t\t\t\t\t\t\t<a href="#about" class="link--skinned" rel="noreferrer noopener">''')
        _v = VFFSL(SL,"tstrings",True)['about'] # "$tstrings['about']" on line 620, col 75
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['about']")) # from line 620, col 75.
        write('''</a>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</span>
\t\t</div>
\t</section>

<!---<div id="modaldialog"></div>-->
<div id="responsivespinner"></div>
<div id="TimerConflictModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header bg-red m-b-10" style="padding: 20px 20px 15px;">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<h4 class="modal-title">
\t\t\t\t\t<i class="material-icons material-icons-centered">error_outline</i>
\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['timer_conflict'] # "$tstrings['timer_conflict']" on line 641, col 12
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['timer_conflict']")) # from line 641, col 12.
        write('''</span>
\t\t\t\t</h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div id="timerconflictmodal"></div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 648, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 648, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="StreamModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header bg--skinned">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<span class="modal-title"><i class="material-icons material-icons-centered">wifi_tethering</i>&nbsp;Streams</span>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<ul>
\t\t\t\t\t\t<div id="streammodalcontent"></div>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 668, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 668, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="RecModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header bg--skinned">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['timers'] # "$tstrings['timers']" on line 680, col 94
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['timers']")) # from line 680, col 94.
        write('''</span></h4>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<ul>
\t\t\t\t\t\t<div id="recmodalcontent"></div>
\t\t\t\t\t</ul>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 688, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 688, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="editTimerForm" title="''')
        _v = VFFSL(SL,"tstrings",True)['edit_timer'] # "$tstrings['edit_timer']" on line 693, col 32
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['edit_timer']")) # from line 693, col 32.
        write('''"></div>
<div id="EPGModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<h4 class="modal-title"><i class="icon material-icons material-icons-centered">event_note</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['epg'] # "$tstrings['epg']" on line 701, col 104
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['epg']")) # from line 701, col 104.
        write('''</span></h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div id="epgmodalcontent"></div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 707, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 707, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="EventModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="eventdescriptionII"></div>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 724, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 724, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="TimerModal" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<h4 class="modal-title" id="timerEditTitle"></h4>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="timereditmodal"></div>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 742, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 742, col 85.
        write('''</button>
\t\t\t\t<button type="button" class="btn waves-effect responsivebtn btn--skinned" data-dismiss="modal" onclick="btn_saveTimer(); return false;">''')
        _v = VFFSL(SL,"tstrings",True)['save'] # "$tstrings['save']" on line 743, col 141
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['save']")) # from line 743, col 141.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="PowerModal" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t\t<h4 class="modal-title"><i class="material-icons material-icons-centered">settings_power</i><span>''')
        _v = VFN(VFFSL(SL,"tstrings",True)['powercontrol'],"replace",False)(" ","&nbsp;") # '$tstrings[\'powercontrol\'].replace(" ","&nbsp;")' on line 755, col 103
        if _v is not None: write(_filter(_v, rawExpr='$tstrings[\'powercontrol\'].replace(" ","&nbsp;")')) # from line 755, col 103.
        write('''</span></h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div class="row clearfix m-t-20">
\t\t\t\t\t<div class="col-xs-6 align-right">
\t\t\t\t\t\t<button type="button" onclick="handle_power_state_dialog(new_power_state = 0); return false;" class="btn waves-effect responsivebtn responsivebtnpower btn--skinned" data-dismiss="modal">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">power_settings_new</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['standby_toggle'] # "$tstrings['standby_toggle']" on line 763, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['standby_toggle']")) # from line 763, col 15.
        write('''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-6 align-left">
\t\t\t\t\t\t<button type="button" onclick="handle_power_state_dialog(new_power_state = 1); return false;" class="btn waves-effect responsivebtn responsivebtnpower btn--skinned" data-dismiss="modal">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">vertical_align_bottom</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['deep_standby'] # "$tstrings['deep_standby']" on line 771, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['deep_standby']")) # from line 771, col 15.
        write('''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<hr/>
\t\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-6 align-right">
\t\t\t\t\t\t<button type="button" onclick="handle_power_state_dialog(new_power_state = 2); return false;" class="btn waves-effect responsivebtn responsivebtnpower btn--skinned" data-dismiss="modal">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">loop</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['reboot_box'] # "$tstrings['reboot_box']" on line 782, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['reboot_box']")) # from line 782, col 15.
        write('''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="col-xs-6 align-left">
\t\t\t\t\t\t<button type="button" onclick="handle_power_state_dialog(new_power_state = 3); return false" class="btn waves-effect responsivebtn responsivebtnpower btn--skinned" class="link--skinned" data-dismiss="modal">
\t\t\t\t\t\t\t<h4>
\t\t\t\t\t\t\t\t<i class="material-icons">settings_backup_restore</i>
\t\t\t\t\t\t\t\t<span>''')
        _v = VFFSL(SL,"tstrings",True)['restart_gui'] # "$tstrings['restart_gui']" on line 790, col 15
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['restart_gui']")) # from line 790, col 15.
        write('''</span>
\t\t\t\t\t\t\t</h4>
\t\t\t\t\t\t</button>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t\t<div class="row clearfix">
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" onclick="closeMessageModal(); return false;" class="btn btn-default waves-effect" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 799, col 130
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 799, col 130.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>
<div id="SendMessageModal" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" onclick="closeMessageModal(); return false;" class="close" data-dismiss="modal">
\t\t\t\t\t<i class="material-icons material-icons-centered">close</i>
\t\t\t\t</button>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t\t<div class="header">
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">message</i>''')
        _v = VFN(VFFSL(SL,"tstrings",True)['sendamessage'],"replace",False)(" ","&nbsp;") # '$tstrings[\'sendamessage\'].replace(" ","&nbsp;")' on line 818, col 75
        if _v is not None: write(_filter(_v, rawExpr='$tstrings[\'sendamessage\'].replace(" ","&nbsp;")')) # from line 818, col 75.
        write('''</h2>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="body">
\t\t\t\t\t\t\t<div class="form-group">
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['text'] # "$tstrings['text']" on line 826, col 19
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['text']")) # from line 826, col 19.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">
\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t<textarea class="form-control no-resize auto-growth active" rows="1" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['text'] # "$tstrings['text']" on line 830, col 94
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['text']")) # from line 830, col 94.
        write('''" id="messageText"></textarea>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['display_duration_s'] # "$tstrings['display_duration_s']" on line 836, col 19
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['display_duration_s']")) # from line 836, col 19.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">
\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t<input type="text" name="messageTimeout" id="messageTimeout" value="30" class="form-control inactive">
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-3 align-right">
\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['type'] # "$tstrings['type']" on line 846, col 19
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['type']")) # from line 846, col 19.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-9">
\t\t\t\t\t\t\t\t\t\t<select id="messageType" class="form-control">
\t\t\t\t\t\t\t\t\t\t\t<option value="1">''')
        _v = VFFSL(SL,"tstrings",True)['info'] # "$tstrings['info']" on line 850, col 30
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['info']")) # from line 850, col 30.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t<option value="2">''')
        _v = VFFSL(SL,"tstrings",True)['warning'] # "$tstrings['warning']" on line 851, col 30
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['warning']")) # from line 851, col 30.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t<option value="3">''')
        _v = VFFSL(SL,"tstrings",True)['error'] # "$tstrings['error']" on line 852, col 30
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['error']")) # from line 852, col 30.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t<option value="0">''')
        _v = VFFSL(SL,"tstrings",True)['yes_no'] # "$tstrings['yes_no']" on line 853, col 30
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['yes_no']")) # from line 853, col 30.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 align-center">
\t\t\t\t\t\t\t\t\t\t<div id="messageSentResponse"></div>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" onclick="closeMessageModal(); return false;" class="btn btn-default waves-effect" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 868, col 130
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 868, col 130.
        write('''</button>
\t\t\t\t<button type="button" onclick="sendModalMessage(); return false;" class="btn waves-effect responsivebtn btn--skinned">''')
        _v = VFN(VFFSL(SL,"tstrings",True)['sendamessage'],"replace",False)(" ","&nbsp;") # '$tstrings[\'sendamessage\'].replace(" ","&nbsp;")' on line 869, col 123
        if _v is not None: write(_filter(_v, rawExpr='$tstrings[\'sendamessage\'].replace(" ","&nbsp;")')) # from line 869, col 123.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<form name="portForm" action="web/stream.m3u" method="GET" target="_blank">
\t<input type="hidden" name="ref">
\t<input type="hidden" name="name">
\t<input type="hidden" name="fname">
\t<input type="hidden" name="device">
</form>
<form name="portFormTs" action="web/ts.m3u" method="GET" target="_blank">
\t<input type="hidden" name="file">
\t<input type="hidden" name="device">
</form>

<script>
\t$(document).ready(function() {
\t\tdirectlink();
\t});
\tSetLSValue(\'TimerListOffset\',0);
</script>
<script src="/modern/plugins/bootstrap/js/bootstrap.min.js"></script>
<script src="/modern/plugins/bootstrap-select/js/bootstrap-select.min.js"></script>
<script src="/modern/plugins/autosize/autosize.min.js"></script>
<script src="/modern/plugins/node-waves/waves.min.js"></script>
<script src="/modern/plugins/sweetalert/sweetalert.min.js"></script>
<script src="/modern/plugins/momentjs/moment.min.js"></script>

''')
        #  for future use (asset versioning)
        #  <!-- htmlWebpackPlugin renders the following js includes -->
        #  <%= htmlWebpackPlugin
        #    .tags
        #    .bodyTags
        #    .filter((tag) => tag.tagName === 'script')
        #    .join('')
        #  %>
        write('''<script src="/modern/js/vendors-app.js?v=wp"></script><script src="/modern/js/owif-app.js?v=wp"></script>

<script src="/modern/js/bootstrap-date-timepicker.min.js"></script>
<script src="/modern/js/admin.min.js?v=wp"></script>
<script src="/modern/js/responsive.min.js?v1.2.23"></script>
<script>initJsTranslationAddon(''')
        _v = VFFSL(SL,"dumps",False)(VFFSL(SL,"tstrings",True)) # '$dumps($tstrings)' on line 912, col 32
        if _v is not None: write(_filter(_v, rawExpr='$dumps($tstrings)')) # from line 912, col 32.
        write(''')</script>

<script>

\t$(document).ready(function() {
\t\t$(".remote__button").click(function(e) {
\t\t\tvar d = $(this).data("code");
\t\t\tif (d != undefined) {
\t\t\t\tif(d == "1000")
\t\t\t\t{
\t\t\t\t\ttoggleMute();
\t\t\t\t\treturn;
\t\t\t\t}
\t\t\t\tif(d == "1001")
\t\t\t\t{
\t\t\t\t\ttoggleStandby(event.shiftKey);
\t\t\t\t\treturn;
\t\t\t\t}
\t\t\t\tpressMenuRemote(d, event.shiftKey);
\t\t\t}
\t\t});
\t});


\tjQuery(document).ready(function() {
\t\tjQuery(\'#noresposive\').change(function () {
\t\t\tjQuery.ajax({
\t\t\t\turl: "api/setwebconfig?responsive_enabled=false",
\t\t\t\tsuccess: function() {
\t\t\t\t\twindow.location.hash = \'\';
\t\t\t\t\twindow.location.reload(true);
\t\t\t\t}
\t\t\t});
\t\t});
\t\tvar pl = GetLSValue(\'pl\',\'m3u\');
\t\tjQuery(\'#plformat\').prop(\'checked\',( pl != \'m3u\'));
\t\tjQuery("#plformat").change(function() {
\t\t\tvar val = jQuery(this).is(":checked") ? \'xspf\' : \'m3u\'
\t\t\tSetLSValue(\'pl\',val);
\t\t});
\t});
</script>
</body>
</html>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_main = 'respond'

## END CLASS DEFINITION

if not hasattr(main, '_initCheetahAttributes'):
    templateAPIClass = getattr(main,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(main)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=main()).run()


